Get a coding analysis by ID
curl --request GET \
--url https://api.sully.ai/v1/codings/{codingId} \
--header 'X-ACCOUNT-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sully.ai/v1/codings/{codingId}"
headers = {
"X-API-KEY": "<api-key>",
"X-ACCOUNT-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-ACCOUNT-ID': '<api-key>'}
};
fetch('https://api.sully.ai/v1/codings/{codingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "coding_EXAMPLE123456789",
"status": "completed",
"created_at": "2025-05-08T15:07:54.984Z",
"updated_at": "2025-05-08T15:08:22.499Z",
"processing_time_ms": 27340.929076,
"result": {
"diagnoses": [
{
"id": "diagnosis-example-1",
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/sid/icd-10-cm",
"code": "I10",
"display": "Essential (primary) hypertension"
},
{
"system": "http://snomed.info/sct",
"code": "59621000",
"display": "Essential hypertension"
}
],
"text": "Hypertension"
},
"text_span": {
"start_char": 1022,
"end_char": 1039,
"text": "slightly elevated"
}
}
],
"procedures": [
{
"id": "procedure-example-1",
"code": {
"coding": [
{
"system": "http://www.ama-assn.org/go/cpt",
"code": 93000,
"display": "Electrocardiogram, routine ECG with at least 12 leads; with interpretation and report"
}
],
"text": "EKG"
},
"text_span": {
"start_char": 2124,
"end_char": 2127,
"text": "EKG"
}
}
]
}
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Codings
Get Coding
Retrieves a coding analysis result by ID
GET
/
v1
/
codings
/
{codingId}
Get a coding analysis by ID
Path Parameters
ID of the coding analysis to retrieve
Example:
"coding_EXAMPLE123456789"
Response
Coding analysis result
Response containing the complete coding analysis results
Data object containing the coding analysis and its results
Show child attributes
Show child attributes
⌘I